/**
 * Copyright 2010 - 2019 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jetbrains.exodus.runtime

import java.lang.ref.SoftReference

class OOMGuard(private val extraBytes: Int = 0) {

    private var ref: SoftReference<Any> = newReference()

    fun isItCloseToOOM() = ref.get() == null

    fun reset() {
        ref = newReference()
    }

    private fun newReference() = SoftReference(if (extraBytes == 0) Any() else ByteArray(extraBytes))
}